valabind-cc(1)

NAME
valabind-cc - Vala to swig interface compiler

SYNOPSIS
valabind-cc language modname [--version] [--vapidir dir] [--glib] [--test lang] [-n] [-x] [-X] [-I path] [-L path] [-l libname] [-D SYMBOL] [-C] vapifile

DESCRIPTION
valabind-cc is a frontend for valabind, swig and the C compiler (gcc by default).

It aims to simplify the use of all the wrapped tools and compile usable bindings for many programming languages.

EXAMPLE
valabind-cc python r_bp -I/usr/include/r_bp r_bp.vapi

ENVIRONMENT
XDG_DATA_DIRS Standard freedesktop environment variable to point to the share prefix directory where vala looks for vapi files.

SEE ALSO

valabind(1)

AUTHORS

pancake <@nopcode.org>